<?php

namespace App\Services;

use App\Services\Service;
use App\Services\ServiceResponse\ServiceResponse;
use App\DAO\PagSeguroRequestDAO;

class PagSeguroquestService extends Service {

	public function registerRequest(array $objrequest, string $url, string $referenceid, int $idlojacompra): ServiceResponse {

		$dao = new PagSeguroRequestDAO();

		$daoResponse = $dao->registerRequest( $objrequest, $url, $referenceid, $idlojacompra );

		$serviceReponse = $this->setServiceResponse( $daoResponse );

		return $serviceReponse;

	}

}

